Package org.eclipse.cdt.core.dom.ast

# Interface IASTInitializerExpression

All Superinterfaces:
  `IASTEqualsInitializer`, `IASTInitializer`, `IASTNode`

@Deprecated public interface IASTInitializerExpression extends IASTEqualsInitializer
Deprecated.
Replaced by `IASTEqualsInitializer`.
This is an initializer that is simply an expression.

Restriction:
  This interface is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`INITIALIZER_EXPRESSION`
Deprecated.
`INITIALIZER_EXPRESSION` represents the relationship between an `IASTInitializerExpression`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTEqualsInitializer

`INITIALIZER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializer

`EMPTY_INITIALIZER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTInitializerExpression`
`copy()`
Deprecated.
Returns a mutable copy of the tree rooted at this node.
`IASTInitializerExpression`
`copy(IASTNode.CopyStyle style)`
Deprecated.
Returns a mutable copy of the tree rooted at this node.
`IASTExpression`
`getExpression()`
Deprecated.
Get the expression for the initializer.
`void`
`setExpression(IASTExpression expression)`
Deprecated.
Set the initializer's expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTEqualsInitializer

`getInitializerClause, setInitializerClause`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### INITIALIZER_EXPRESSION

static final ASTNodeProperty INITIALIZER_EXPRESSION
Deprecated.
`INITIALIZER_EXPRESSION` represents the relationship between an `IASTInitializerExpression`. and its ``IASTExpression.

## Method Details

### getExpression

IASTExpression getExpression()
Deprecated.
Get the expression for the initializer.

Returns:
  `IASTExpression`

### setExpression

void setExpression(IASTExpression expression)
Deprecated.
Set the initializer's expression.

Parameters:
  `expression` - `IASTExpression`

### copy

IASTInitializerExpression copy()
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

### copy

IASTInitializerExpression copy(IASTNode.CopyStyle style)
Deprecated.
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTInitializer`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3